/** When your routing table is too long, you can split it into small modules**/

import Layout from "@/layout";

const approveRouter = {
  path: "/approve",
  component: Layout,
  name: "approve1",
  meta: { title: "审批中心", icon: "" },
  alwaysShow: true,
  hidden: true,
  children: [
    {
      // 审批中心-资质审批详情
      path: "qualificationAppr",
      component: () => import("@/views/page/approve/approveA/qualificationAppr.vue"),
      name: "qualificationAppr",
      meta: { title: "资质审批详情", icon: "" },
      hidden: true
    },
    {
      // 审批中心-药品目录审批
      path: "drugCataAppr",
      component: () => import("@/views/page/approve/approveA/drugCataAppr.vue"),
      name: "drugCataAppr",
      meta: { title: "药品目录审批", icon: "" },
      hidden: true
    },
    {
      // 审批中心-药品采购计划
      path: "drugPurchasePlan",
      component: () => import("@/views/page/approve/approveA/drugPurchasePlan.vue"),
      name: "drugPurchasePlan",
      meta: { title: "药品采购计划", icon: "" },
      hidden: true
    },
    {
      // 审批中心-药品退货
      path: "drugReturn",
      component: () => import("@/views/page/approve/approveA/drugReturn.vue"),
      name: "drugReturn",
      meta: { title: "药品退货", icon: "" },
      hidden: true
    },
    {
      // 审批中心-调价申请
      path: "priceUpApply",
      component: () => import("@/views/page/approve/approveA/priceUpApply.vue"),
      name: "priceUpApply",
      meta: { title: "调价申请", icon: "" },
      hidden: true
    },
    {
      // 审批中心-申领审批
      path: "applyAppr",
      component: () => import("@/views/page/approve/approveA/applyAppr.vue"),
      name: "applyAppr",
      meta: { title: "申领审批", icon: "" },
      hidden: true
    },
  ]
};

export default approveRouter;
